#  (  ) 
drop table if exists menu;
create table menu (
	id       char(50) not null,		# ID
	pid      char(50) not null,		# Parent ID
	name     char(50) not null,		#  
	order_id bigint not null,		#    
	DM       timestamp not null,	# Datetime 
	DC       timestamp not null,	# Datetime 
	primary key (id,pid)
	);

################
#  #
################
insert into menu (id,pid,name,order_id,DC) values ('user','','',1,NOW());

#  
drop table if exists user;
create table user (
	id       bigint not null primary key auto_increment,	# ID
	login    char(100) not null,	# login 
	pass     char(100) not null,	# 
	name     char(200) not null,	# 
	ip       char(16) not null,		# IP 
	gid      int not null,			# 
	speed    char(15) not null,		# 
	enable   tinyint not null,		#    
	admin    tinyint not null,		#  -   
	unlim    tinyint not null,		#    
	lim      bigint not null,		#    
	month    bigint not null,		#    
	lost     bigint not null,		#      
	last_in  timestamp not null,	#     
	keep_alive timestamp not null,	#       
	profile  int not null,			#   
	reason   tinyint not null,		#  :
									# 0 -  
									# 1 -  
									# 2 - , ..  
									# 3 - , ..   
									# 4 - , ..   
									# 5 -  -   
									# 6 -  - keepalive
	was_id   bigint not null,		#       was_ID  (    reason=5)
	DM       timestamp not null,	# Datetime 
	DC       timestamp not null		# Datetime 
	);
insert into user (id,login,pass,enable,name,DC) values (1,'admin','admin',1,'',NOW());

#  
drop table if exists userGroup;
create table userGroup (
	id       bigint not null primary key auto_increment,	# ID
	name     char(200) not null,	#  
	enable   tinyint not null,		#     
	unlim    tinyint not null,		#    
	lim      bigint not null,		#    
	month    bigint not null,		#    
	restr    tinyint not null,		#    (1)   (0)
	DM       timestamp not null,	# Datetime 
	DC       timestamp not null		# Datetime 
	);

#  
drop table if exists permission;
create table permission (
	uid      bigint not null,		# User ID
	module   char(50) not null,		#  ,    
	DC       timestamp not null,	# Datetime 
	primary key (uid,module)
	);

#  
drop table if exists trafic;
create table trafic (
	uid      bigint not null,		# User ID
#	ip       char(16) not null,		# IP
	tin      bigint not null,		#  
	tout     bigint not null,		#  
	DC       timestamp not null,	# Datetime 
	key(DC,uid)
	);

#     -
drop table if exists ping;
create table ping (
	id        bigint not null primary key auto_increment,	# ID
	ip        char(16) not null,		# IP
	time_from datetime not null,
	time_till datetime not null,
	status    tinyint not null
	);

#    
drop table if exists log;
create table log (
	id        bigint not null primary key auto_increment,	# ID
	uid       bigint not null,			# 
	uid_to    bigint not null,			# 
	module    text not null,			# 
	action    text not null,			# 
	log       text not null,			#  (id , - )
	DC        timestamp not null		# Datetime 
	);

#  -      :).    
drop table if exists squid;
create table squid (
	uid       int not null,				# user.id
	url       varchar(250) not null,	# URL
	uri       varchar(250) not null,	# URI
	size      int not null,				#  
	mime      varchar(250) not null,	# Mime  
	DC        timestamp not null,		# Datetime 
	key (DC,uid)
	);

#1071822235      6       192.168.2.2     1345    217.174.97.50   80      40      eth2    unknown
drop table if exists nacctd;
create table nacctd (
	uid      bigint not null,		# User ID
	ip       char(16) not null,		# IP
	proto    int not null,			# 6=tcp, 1=icmp, 17=udp
	port_l   int not null,			#  
	port_r   int not null,			#  
	tin      bigint not null,		#  
	tout     bigint not null,		#  
	DC       timestamp not null,	# Datetime 
	key(DC,uid)
	);


